Ubuntu 16.04 LTS og Canonicals mangel på opdatering af pakker

Her postes alt, som ikke direkte har noget med Ubuntu at gøre.
lath
Forfatter
Indlæg: 5022
Tilmeldt: 27. apr 2008, 02:16
IRC nickname: lars_t_h
Geografisk sted: Fyn

Ubuntu 16.04 LTS og Canonicals mangel på opdatering af pakker

Indlægaf lath » 29. mar 2018, 00:59

Canonicals opdateringsfrekvens af pakker lader en hel del tilbage at ønske.

Som det måske er bekendt, så har jeg et godt kig på filsystemer lige for tiden, og specielt btrfs.

Canonical har for Ubuntu 16.04 LTS kun lavet 1 pakke af på btrfs-progs (apt-pakke navn: btrfs-tools) - og det var da 16.04 LTS blev udgivet.

----

Kernen jeg bruger lige nu findes med kommandoen:

Kode: Vælg alt

uname -r

... som svarer med ....

Kode: Vælg alt

4.13.0-37-generic


.. og versionen af btrfs-progs findes med kommandoen:

Kode: Vælg alt

btrfs version

... som svarer med ...

Kode: Vælg alt

btrfs-progs v4.4


Det var ikke så godt (og jeg er meget flink her) . btrfs-progs er til Linux kerne 4.4, men kernen er version 4.13.0-37

btrfs-prog's versionsnummer og kernens versionsnummer skal være den samme.

Lad os læse lidt om btrfs-progs (apt pakke: btrfs-tools) med kommandoen:

Kode: Vælg alt

apt-cache show btrfs-tools

... som svarer med ...

Kode: Vælg alt

Package: btrfs-tools
Architecture: amd64
Version: 4.4-1ubuntu1
Priority: optional
Section: admin
Origin: Ubuntu
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Installed-Size: 3638
Depends: e2fslibs (>= 1.42), libblkid1 (>= 2.17.2), libc6 (>= 2.8), libcomerr2 (>= 1.01), liblzo2-2, libuuid1 (>= 2.16), zlib1g (>= 1:1.2.0)
Filename: pool/main/b/btrfs-tools/btrfs-tools_4.4-1ubuntu1_amd64.deb
Size: 523206
MD5sum: ed80b29c5d896e013a4125196ac905ee
SHA1: c009ba8d1ad75e6006463a04b1c67afa2a5e205d
SHA256: adacf39a9453956badc84f1e0d43494a00891760acad08d7728fcbc824824b44
Homepage: http://btrfs.wiki.kernel.org/
Description-en: Checksumming Copy on Write Filesystem utilities
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
Description-md5: b373529b44d89311deab77020f34ab70
Task: ubuntu-live, cloud-image, server, kubuntu-live, kubuntu-live, edubuntu-dvd-live, xubuntu-live, xubuntu-live, mythbuntu-live, lubuntu-live, ubuntustudio-live, ubuntustudio-dvd-live, ubuntu-gnome-live, ubuntukylin-live, ubuntu-mate-live
Supported: 5y

Package: btrfs-tools
Priority: optional
Section: admin
Installed-Size: 3638
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
Original-Maintainer: Dimitri John Ledkov <xnox@debian.org>
Architecture: amd64
Version: 4.4-1
Depends: e2fslibs (>= 1.42), libblkid1 (>= 2.17.2), libc6 (>= 2.8), libcomerr2 (>= 1.01), liblzo2-2, libuuid1 (>= 2.16), zlib1g (>= 1:1.2.0)
Filename: pool/main/b/btrfs-tools/btrfs-tools_4.4-1_amd64.deb
Size: 521792
MD5sum: 32113523f1d79f163e3454477c8b02bc
SHA1: d6c904759c8a871249dcd78047f4b870cd875dde
SHA256: 8dade87525c61d82cfa380b67027fd712a3133be40490766d8f135a1cc99e67b
Description-en: Checksumming Copy on Write Filesystem utilities
 Btrfs is a new copy on write filesystem for Linux aimed at implementing
 advanced features while focusing on fault tolerance, repair and easy
 administration.
 .
 This package contains utilities (mkfs, fsck) used to work with btrfs
 and an utility (btrfs-convert) to make a btrfs filesystem from an ext3.
Description-md5: b373529b44d89311deab77020f34ab70
Homepage: http://btrfs.wiki.kernel.org/
Bugs: https://bugs.launchpad.net/ubuntu/+filebug
Origin: Ubuntu
Supported: 5y
Task: ubuntu-live, cloud-image, server, kubuntu-live, kubuntu-live, edubuntu-dvd-live, xubuntu-live, xubuntu-live, mythbuntu-live, lubuntu-live, ubuntustudio-live, ubuntustudio-dvd-live, ubuntu-gnome-live, ubuntukylin-live, ubuntu-mate-live


Lad os lige se på indholdet af et 3 måneder gammelt (13. Dec 2017) indlæg på Reddit om btrfs, og Linux distroer's kerne versioner:
Indlægget har titlen:
Before you try BTRFS, make sure you use an up to date kernel and btrfs-progs.

As I've been saying on different posts, BTRFS develops within new kernel releases on a rolling basis. I am not aware of any company actively backporting improvements in their release kernels from mainline. Therefore do keep an eye on this list in their wiki which keeps a log on changes by kernel for the filesystem module and a separate log by btrfs-progs for fixes that might affect your setup. I understand that people have lost their data in certain scenarios, and the filesystem got bad press for it, but do understand that what your distribution of choice provides you with might be utterly out of date to downright dangerous!!!

https://btrfs.wiki.kernel.org/index.php ... By_feature

The difference in between it's ready and "rock solid" to btrfs ate my data boils down on what kernel you're running unfortunately, since it's seemed that the filesystem has been rushed by some providers without knowing how ready the filesystem is under their release kernel.

... som er fra: https://www.reddit.com/r/btrfs/comments/7jkco8/before_you_try_btrfs_make_sure_you_use_an_up_to/

Ok, og hvor gammel er så btrfs-progs version 4.4.1?
https://btrfs.wiki.kernel.org/index.php/Changelog#btrfs-progs_4.4.1_.28Feb_2016.29 kan man læse 28. Februar 2016! (den 28. er fundet i linket)

Mere end 2 år gammel ! :shock:

btrfs-tools er i øvrigt markeret som officielt supportet i Synaptic (hvidt flueben i blå cirkel)

/Lars

AJenbo
Admin
Indlæg: 19446
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Ubuntu 16.04 LTS og Canonicals mangel på opdatering af pakker

Indlægaf AJenbo » 29. mar 2018, 12:12

4.4 er den oprindelige kerne i 16.04, 4.13 er fra 17.10 så vis du skifter til den får du sikkert også befs-progs i den rigtige version.

lath
Forfatter
Indlæg: 5022
Tilmeldt: 27. apr 2008, 02:16
IRC nickname: lars_t_h
Geografisk sted: Fyn

Re: Ubuntu 16.04 LTS og Canonicals mangel på opdatering af pakker

Indlægaf lath » 30. mar 2018, 13:23

AJenbo skrev:4.4 er den oprindelige kerne i 16.04, 4.13 er fra 17.10 så vis du skifter til den får du sikkert også befs-progs i den rigtige version.


4.4 er programmets versions nummer, og 4.13 er kernens versionsnummer

/Lars

AJenbo
Admin
Indlæg: 19446
Tilmeldt: 15. nov 2009, 15:04
IRC nickname: AJenbo
Geografisk sted: Vanløse, København

Re: Ubuntu 16.04 LTS og Canonicals mangel på opdatering af pakker

Indlægaf AJenbo » 31. mar 2018, 01:26

Ja det ved jeg. Hvis du installere 16.04.1 vil både kernen og programmet være 4.4 (også efter du installere opdateringer) . Hvis du installerer 17.10 vil både kernen og programmet være 4.13.

Du køre 16.04.4 med hwe og så får man blandede versioner.

Tilbage til "Off-Topic"

Hvem er online

Brugere der læser dette forum: Ingen og 0 gæster